%define upstream_name    DBIx-Class-Helpers
%define upstream_version 2.016003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simplify the common case stuff for DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan) >= 6.40.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.81.270
BuildRequires: perl(DBIx::Class::Candy) >= 0.1.3
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Lingua::EN::Inflect)
BuildRequires: perl(List::Util)
BuildRequires: perl(String::CamelCase)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.6
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::clean) >= 0.230.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
A collection of various helper utilities for the DBIx::Class manpage stuff.
Probably only useful for components.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.16.3-2.mga3
+ Revision: 365120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.16.3-1.mga3
+ Revision: 342003
- update to 2.016003

* Tue Nov 06 2012 jquelin <jquelin> 2.16.1-1.mga3
+ Revision: 314975
- update to 2.016001

* Mon Sep 17 2012 jquelin <jquelin> 2.15.1-1.mga3
+ Revision: 294946
- update to 2.015001

* Mon Sep 10 2012 jquelin <jquelin> 2.15.0-1.mga3
+ Revision: 291637
- update to 2.015000

* Thu Jul 12 2012 jquelin <jquelin> 2.14.2-1.mga3
+ Revision: 270268
- update to 2.014002

* Wed Jul 04 2012 jquelin <jquelin> 2.14.1-1.mga3
+ Revision: 267286
- update to 2.014001

* Mon Jun 18 2012 kharec <kharec> 2.13.2-1.mga3
+ Revision: 261531
- update to 2.013002

* Sat Jun 09 2012 jquelin <jquelin> 2.13.0-1.mga3
+ Revision: 258813
- update to 2.013000

* Tue Jun 05 2012 jquelin <jquelin> 2.11.0-1.mga3
+ Revision: 254754
- update to 2.011000

* Tue Mar 06 2012 jquelin <jquelin> 2.7.3-1.mga2
+ Revision: 220123
- update to 2.007003

* Wed Jan 25 2012 jquelin <jquelin> 2.7.2-1.mga2
+ Revision: 200848
- update to 2.007002
- update to 2.007001

* Wed Mar 16 2011 jquelin <jquelin> 2.7.0-1.mga1
+ Revision: 72344
- update to 2.007000

* Tue Feb 01 2011 jquelin <jquelin> 2.6.0-1.mga1
+ Revision: 45696
- update to 2.006000
- mageia rebuild
- imported package perl-DBIx-Class-Helpers

